Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xml.utils
Class XMLCharacterRecognizer

    java.lang.Object
      |
      +--weblogic.apache.xml.utils.XMLCharacterRecognizer

public class XMLCharacterRecognizer
extends java.lang.Object

Class used to verify whether the specified ch conforms to the XML 1.0 definition of whitespace.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Constructor Summary
`XMLCharacterRecognizer()`

Method Summary
`static boolean` | `isWhiteSpace(char ch)` Returns whether the specified ch conforms to the XML 1.0 definition of whitespace.
`static boolean` | `isWhiteSpace(char[] ch, int start, int length)` Tell if the string is whitespace.
`static boolean` | `isWhiteSpace(java.lang.String s)` Tell if the string is whitespace.
`static boolean` | `isWhiteSpace(java.lang.StringBuffer buf)` Tell if the string is whitespace.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLCharacterRecognizer

    public XMLCharacterRecognizer()

Method Detail

### isWhiteSpace

    public static boolean isWhiteSpace(char ch)

  Returns whether the specified ch conforms to the XML 1.0 definition of whitespace. Refer to the definition of `S` for details.

  Parameters:
    `ch` - Character to check as XML whitespace.
  Returns:
    =true if ch is XML whitespace; otherwise =false.

### isWhiteSpace

    public static boolean isWhiteSpace(char[] ch,
                                       int start,
                                       int length)

  Tell if the string is whitespace.

  Parameters:
    `ch` - Character array to check as XML whitespace.
    `start` - Start index of characters in the array
    `length` - Number of characters in the array
  Returns:
    True if the characters in the array are XML whitespace; otherwise, false.

### isWhiteSpace

    public static boolean isWhiteSpace(java.lang.StringBuffer buf)

  Tell if the string is whitespace.

  Parameters:
    `buf` - StringBuffer to check as XML whitespace.
  Returns:
    True if characters in buffer are XML whitespace, false otherwise

### isWhiteSpace

    public static boolean isWhiteSpace(java.lang.String s)

  Tell if the string is whitespace.

  Parameters:
    `buf` - StringBuffer to check as XML whitespace.
  Returns:
    True if characters in buffer are XML whitespace, false otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference